import { ComponentProps, DataInteractivityProps, NumericPositionSpec, PreparedDataContextProps, RectangleProps, SvgElementProps, SymbolProps, ViewProps, WithId } from '@chsk/core';
import { ScatterCrosshairProps, ScatterPointsProps, ScatterProps, XYProcessedDataItem } from '../scatter';
export type DensityProcessedDataItem = XYProcessedDataItem;
export type DensityPreparedDataItem = [number, number, number, string, number[]];
export declare const DENSITY_COUNT = 2;
export declare const DENSITY_COLOR = 3;
export declare const DENSITY_CONTENT = 4;
export type DensityDataContextProps = PreparedDataContextProps<DensityPreparedDataItem> & {
    /** bin size */
    binSize: number;
};
export interface DensityProps extends SvgElementProps, Pick<ViewProps, 'container' | 'children'>, Pick<ScatterProps, 'valueColor' | 'data' | 'x' | 'y' | 'scaleX' | 'scaleY' | 'scaleColor'> {
    /** bin size */
    binSize: number;
}
export interface DensityCellProps extends Omit<RectangleProps, 'center' | 'variant' | 'rx' | 'ry'> {
    /** data count */
    value: number;
}
export interface DensityCellsProps extends SvgElementProps, ComponentProps<DensityCellProps> {
    /** use transparency proportional to cell count */
    transparency?: boolean;
}
export type DensityInteractiveDataItem = WithId & {
    bins: NumericPositionSpec;
    count: number;
    value?: number;
    data: DensityPreparedDataItem;
    color: string;
};
export interface DensityCrosshairProps extends SvgElementProps, DataInteractivityProps<DensityInteractiveDataItem, SymbolProps>, Pick<ScatterPointsProps, 'symbol' | 'symbolStyle' | 'symbolClassName'>, Pick<ScatterCrosshairProps, 'variant' | 'expansion' | 'minDistance' | 'visible' | 'style'> {
    /** size of symbol */
    symbolR?: number;
}
//# sourceMappingURL=types.d.ts.map